Ir al contenido principal
Contacts

Block a contact

Blocks a contact by their Featurebase ID using the global moderation system.

POST
/v2/contacts/{id}/block

Path Parameters

  • id - The Featurebase internal ID of the contact (MongoDB ObjectId)

Supported Contact Types

This endpoint blocks both:

  • Customers - Users with registered accounts
  • Leads - Anonymous or unregistered visitors

Blocking Behavior

When a contact is blocked:

  • The contact cannot send new messages via messenger
  • The contact cannot interact with feedback/changelog surfaces for this organization
  • Existing conversations are not deleted but no new messages can be added by the blocked user
  • The block can be removed by unblocking the contact

Response

Returns a block confirmation object:

  • id - The ID of the blocked contact
  • object - Always "contact"
  • blocked - Always true

Example Response

{
  "id": "507f1f77bcf86cd799439011",
  "object": "contact",
  "blocked": true
}

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderobligatorio

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringobligatorio

Featurebase contact ID

Ejemplo: 507f1f77bcf86cd799439011
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Opciones disponibles: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Ejemplo: 2026-08-19.orbit

Respuesta

application/json

Success

blockedenum<boolean>obligatorio

Indicates the contact was blocked

Opciones disponibles: true
Ejemplo: true
idstringobligatorio

Unique identifier of the blocked contact

Ejemplo: 507f1f77bcf86cd799439011
objectenum<string>obligatorio

Object type identifier

Opciones disponibles: contact
Ejemplo: contact